Update order status
POST
/api/crm/v2/orders.updatev2 operationId:
orders.updateMoves the order to a new order_status from the extended list.
Authorization
api-token + language + role
Request body application/json
object
idintegerrequired
Example: 12863356
order_statusstring (ExpandedOrderStatus) required
Order status: on the way, completed, assembling, in the kitchen, not processed, ready for dispatch, waiting to be sent to kitchen, waiting for remake, cancelled, confirmed, prepared, awaiting payment, partial refund
Values:in_transitdoneassemblyin_kitchennot_processedready_to_transitwait_to_kitchenwait_remadecanceledconfirmedcookedwaiting_for_paymentpart_refund
Example: confirmed
Responses
OK
object
statusstringrequired
Values:successerror
Example: success
One of the options
object
dataobjectrequired
descriptionstringrequired
Translated message about the result of the status update
Example: Status successfully changed to In transit!